
Core - Feature # 33747

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Needs Feedback Priority: Should have
Author: Oliver Hader Category:
Created: 2012-02-07 Assigned To: Frans Saris
Updated: 2015-07-06 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Implement usort() and moveItemAt() in AbstractRecordCollection
Description

Current situation:

    public function usort($callbackFunction) {
        // TODO: Implement usort() method with TCEforms in mind
        throw new RuntimeException('This method is not yet supported.', 1322545589);
    }

    public function moveItemAt($currentPosition, $newPosition = 0) {
        // TODO: Implement usort() method with TCEforms in mind
        throw new RuntimeException('This method is not yet supported.', 1322545626);
    }

History
#1 - 2012-03-05 17:36 - Steffen Ritter
- Target version deleted (4.7.0-beta1)

#2 - 2015-01-13 08:32 - Mathias Schreiber
- Status changed from New to Needs Feedback
- Assigned To changed from Steffen Ritter to Frans Saris

Hey Frans, do you have an idea of the status here?

#3 - 2015-01-13 09:14 - Frans Saris

The methods still have the todo line.

Maybe we should just drop them? Because for folder and category based collections there functions do not make sense. Only for collections where you
add items manual.

But I guess Steffen or Oliver know more about this. If not just drop them.

#4 - 2015-07-06 18:10 - Frederic Gaus

These functions can not be dropped because they need to be implemented somehow because of the interface
\TYPO3\CMS\Core\Collection\SortableCollectionInterface
